import { Misc } from "./misc.js"

const poesieHautReve = [
  {
    reference: 'Le Ratier Bretonien',
    extrait: `Le courant du Fleuve
            <br>Te domine et te Porte
            <br>Avant que tu te moeuves
            <br>Combat le, ou il t'emporte`
  },
  {
    reference: 'Incompatibilité, Charles Beaudelaire',
    extrait: `Et lorsque par hasard une nuée errante
            <br>Assombrit dans son vol le lac silencieux,
            <br>On croirait voir la robe ou l'ombre transparente
            <br>D'un esprit qui voyage et passe dans les cieux.`
  },
  {
    reference: 'Au fleuve de Loire, Joachim du Bellay',
    extrait: `Ô de qui la vive course
            <br>Prend sa bienheureuse source,
            <br>D’une argentine fontaine,
            <br>Qui d’une fuite lointaine,
            <br>Te rends au sein fluctueux
            <br>De l’Océan monstrueux`
  },
  {
    reference: 'Denis Gerfaud',
    extrait: `Et l'on peut savoir qui est le maître d'Oniros, c'est le Fleuve de l'Oubli.
            Et l'on sait qui est le créateur du Fleuve de l'Oubli, c'est Hypnos et Narcos.
            Mais l'on ne sait pas qui est le maître du Fleuve de l'Oubli,
            sinon peut-être lui-même, ou peut-être Thanatos` },
  {
    reference: 'Denis Gerfaud',
    extrait: `Narcos est la source du Fleuve de l'Oubli et Hypnos l'embouchure
            Remonter le Fleuve est la Voie de la Nuit, la Voie du Souvenir.
            Descendre le Fleuve est la Voie du Jour, la Voie de l'Oubli`
  },
  {
    reference: 'Denis Gerfaud',
    extrait: `Narcos engendre le fils dont il est la mère à l'heure du Vaisseau,
              car Oniros s'embarque pour redescendre le Fleuve
              vers son père Hypnos sur la Voie de l'Oubli`
  },
  {
    reference: 'Denis Gerfaud',
    extrait: `Hypnos engendre le fils dont il est la mère à l'heure du Serpent, car
              tel les serpents, Oniros commence à remonter le Fleuve
              sur le Voie du Souvenir vers son père Narcos`
  },
  {
    reference: 'Denis Gerfaud',
    extrait: `Ainsi se cuccèdent les Jours et les Ages.
          <br>Les jours des Dragons sont les Ages des Hommes.`
  },
  {
    reference: 'Denis Gerfaud',
    extrait: `Ainsi parlent les sages:
              &laquo;Les Dragons sont créateurs de leurs rêves, mais ils ne sont pas créateurs d'Oniros
              Les Dragons ne sont pas les maîtres de leurs rêvezs, car ils ne sont pas maîtres d'Oniros.
              Nul ne sait qui est le créateur des Dragons, ni qui est leur maître.
              Mais l'on peut supposer qui est le maître du Rêve des Dragons, c'est Oniros&raquo;`
  },
  {
    reference: "La chevelure, Charles Baudelaire",
    extrait: `J'irai là-bas où l'arbre et l'homme, pleins de sève,
              <br>Se pâment longuement sous l'ardeur des climats ;
              <br>Fortes tresses, soyez la houle qui m'enlève !`
  },
  {
    reference: "Rêve de Dragon, Denis Gerfaud",
    extrait: `En réalité, tous les éléments du rêve des Dragons expriment
              le Draconic : chaque pierre, chaque fleur, chaque goutte d'eau,
              chaque nuage est porteur d'un message dans la langue des Dragons`
  },
  {
    reference: "Femmes damnées (2), Charles Baudelaire",
    extrait: `Comme je descendais des Fleuves impassibles,
              <br>Je ne me sentis plus guidé par les haleurs :
              <br>Des Peaux-Rouges criards les avaient pris pour cibles,
              <br>Les ayant cloués nus aux poteaux de couleurs.`
  },
  {
    reference: "Le bateau ivre, Arthur Rimbaud",
    extrait: `Loin des peuples vivants, errantes, condamnées,
              <br>A travers les déserts courez comme les loups ;
              <br>Faites votre destin, âmes désordonnées,
              <br>Et fuyez l'infini que vous portez en vous !`
  },
  {
    reference: "L'Ennemi, Charles Baudelaire",
    extrait: `Et qui sait si les fleurs nouvelles que je rêve
              <br>Trouveront dans ce sol lavé comme une grève
              <br>Le mystique aliment qui ferait leur vigueur ?`
  },
  {
    reference: "Une charogne, Charles Baudelaire",
    extrait: `Et le ciel regardait la carcasse superbe
              <br>Comme une fleur s'épanouir.
              <br>La puanteur était si forte, que sur l'herbe
              <br>Vous crûtes vous évanouir.`
  },
  {
    reference: "Conseil, Victor Hugo",
    extrait: `Rois ! la bure est souvent jalouse du velours.
              <br>Le peuple a froid l'hiver, le peuple a faim toujours.
              <br>Rendez-lui son sort plus facile.
              <br>Le peuple souvent porte un bien rude collier.
              <br>Ouvrez l'école aux fils, aux pères l'atelier,
              <br>À tous vos bras, auguste asile !`
  },
  {
    reference: "El Desdichado, Gérard de Nerval",
    extrait: `Suis-je Amour ou Phébus ?... Lusignan ou Biron ?
              <br>Mon front est rouge encor du baiser de la Reine ;
              <br>J'ai rêvé dans la Grotte où nage la sirène...`
  },
  {
    reference: "Caligula - IIIème chant, Gérard de Nerval",
    extrait: `Allez, que le caprice emporte
              <br>Chaque âme selon son désir,
              <br>Et que, close après vous, la porte
              <br>Ne se rouvre plus qu'au plaisir.`
  },
  {
    reference: "Rêve de Dragon, Denis Gerfaud",
    extrait: `Les sages ont encore coutume de dire :
              <br>&laquo; Mais comment les Dragons peuvent-ils
              être influencés par une créature qui, tout
              bien considéré, n'existe pas vraiment pour eux,
              qui n'est que le fantasme de leur activité nocturne ? &raquo;`
  },
  {
    reference: "Rêve de Dragon, Denis Gerfaud",
    extrait: `La légende affirme que ce sont les Gnomes qui furent
            les premiers haut-rêvants. En observant les pierres précieuses,
            les gemmes qui sont les larmes de joie des Dragons, ils parvinrent à
            en comprendre la langue. Et l'ayant comprise, ils purent s'en servir
            pour influencer le cours du rêve`,
  },
  {
    reference: "Quand le rêve se brise, Cypora Sebagh",
    extrait: `Quand le rêve se brise,
            <br>Dans la plainte du jour,
            <br>Ma mémoire devient grise
            <br>Et sombre, tour à tour,
            <br>Dans le puits du silence
            <br>Et de la solitude ;
            <br>Elle reprend son errance
            <br>Parmi la multitude.`
  }
  ,
  {
    reference: "Une charogne, Charles Baudelaire",
    extrait: `Les formes s'effaçaient et n'étaient plus qu'un rêve,
            <br>Une ébauche lente à venir
            <br>Sur la toile oubliée, et que l'artiste achève
            <br>Seulement par le souvenir.`
  },
  {
    reference: "La chevelure, Charles Baudelaire",
    extrait: `Longtemps ! toujours ! ma main dans ta crinière lourde
            <br>Sèmera le rubis, la perle et le saphir,
            <br>Afin qu'à mon désir tu ne sois jamais sourde !
            <br>N'es-tu pas l'oasis où je rêve, et la gourde
            <br>Où je hume à longs traits le vin du souvenir`
  },
  {
    reference: "Un Fou et un Sage, Jean de La Fontaine",
    extrait: `Certain Fou poursuivait à coups de pierre un Sage.
            <br>Le Sage se retourne et lui dit : Mon ami,
            <br>C'est fort bien fait à toi ; reçois cet écu-ci :
            <br>Tu fatigues assez pour gagner davantage.`
  },
  {
    reference: "Guitare, Victor Hugo",
    extrait: `Je la voyais passer de ma demeure,
            <br>Et c'était tout.
            <br>Mais à présent je m'ennuie à toute heure,
            <br>Plein de dégoût,
            <br>Rêveur oisif, l'âme dans la campagne,
            <br>La dague au clou ... –
            <br>Le vent qui vient à travers la montagne
            <br>M'a rendu fou !`
  },
  {
    reference: "Rêve de Dragon, Denis Gerfaud",
    extrait: `Le Premier Âge fut appelé l'Âge des Dragons. Ce fut le commencement
            des temps, le commencement des rêves. Durant cette période plus mythique
            que réellement historique, les Dragons aimaient à se rêver eux-mêmes.`
  },
  {
    reference: "Les Djinns, Victor Hugo",
    extrait: `C'est l'essaim des Djinns qui passe,
            <br>Et tourbillonne en sifflant !
            <br>Les ifs, que leur vol fracasse,
            <br>Craquent comme un pin brûlant.`},
  {
    reference: "Rêve de Dragon, Denis Gerfaud",
    extrait: `Car le Second Âge fut bel et bien celui des Magiciens. Durant cette période, les
            Gnomes s'enfoncèrent profondément sous les montagnes et la magie passa aux
            mains des Humains qui en usèrent et abusèrent, se croyant devenus les maîtres du monde`
  },
  {
    reference: "Lily, Pierre Perret",
    extrait: `Elle aurait pas cru sans le voir
            <br>Que la couleur du désespoir
            <br>Là-bas aussi ce fût le noir.`
  },

  {
    reference: "Qu'est-ce de votre vie ? une bouteille molle, Jean-Baptiste Chassignet",
    extrait: `Qu'est-ce de votre vie ? un tourbillon rouant
            <br>De fumière à flot gris, parmi l'air se jouant,
            <br>Qui passe plus soudain que foudre meurtrière.`
  },
  {
    reference: "Les Djinns, poème Victor Hugo",
    extrait: `Cris de l'enfer! voix qui hurle et qui pleure !
            <br>L'horrible essaim, poussé par l'aquilon,
            <br>Sans doute, ô ciel ! s'abat sur ma demeure.
            <br>Le mur fléchit sous le noir bataillon.
            <br>La maison crie et chancelle penchée,
            <br>Et l'on dirait que, du sol arrachée,
            <br>Ainsi qu'il chasse une feuille séchée,
            <br>Le vent la roule avec leur tourbillon !`
  },
  {
    reference: "Rêve de Dragon, Denis Gerfaud",
    extrait: `Le monde est Rêve de Dragons, mais nous ne savons
            <br>ni leur apparence ni qui sont les dragons.
            <br>En dépit de l'iconographie qui les clame
            <br>immenses créatures ailées crachant des flammes`
  },
  {
    reference: "El Desdichado, Gérard de Nerval",
    extrait: `Je suis le Ténébreux, – le Veuf, – l'Inconsolé,
            <br>Le Prince d'Aquitaine à la Tour abolie :
            <br>Ma seule Etoile est morte, – et mon luth constellé
            <br>Porte le Soleil noir de la Mélancolie.`
  },
]

export class Poetique {
  static getExtrait() {
    return Misc.rollOneOf(poesieHautReve);
  }

}